This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 844439 - Review Request: openshift-origin-msg-node-mcollective - M-Collective amqp agent file for openshift-origin
Review Request: openshift-origin-msg-node-mcollective - M-Collective amqp age...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
: 842006 (view as bug list)
Depends On: 840037
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 12:00 EDT by Troy Dawson
Modified: 2012-09-17 19:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2012-07-30 12:00:21 EDT
Spec URL: 
SRPM URL: 
Description: 
mcollective communication plugin for amqp 1.0 enabled qpid broker

Fedora Account System Username: maxamillion tdawson

Rpmlint Output
[rawhide]$ rpmlint openshift-origin-msg-node-mcollective.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[rawhide]$ rpmlint /home/quake/rpmbuild/SRPMS/openshift-origin-msg-node-mcollective-0.1.1-2.fc18.src.rpm
openshift-origin-msg-node-mcollective.src: W: spelling-error Summary(en_US) amqp -> amp
openshift-origin-msg-node-mcollective.src: W: spelling-error %description -l en_US amqp -> amp
openshift-origin-msg-node-mcollective.src: W: spelling-error %description -l en_US qpid -> quid, lipid
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[rawhide]$ rpmlint /home/quake/rpmbuild/RPMS/noarch/openshift-origin-msg-node-mcollective-0.1.1-2.fc18.noarch.rpm
openshift-origin-msg-node-mcollective.noarch: W: spelling-error Summary(en_US) amqp -> amp
openshift-origin-msg-node-mcollective.noarch: W: spelling-error %description -l en_US amqp -> amp
openshift-origin-msg-node-mcollective.noarch: W: spelling-error %description -l en_US qpid -> quid, lipid
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Note 1: This package is designed to be built on EPEL 5 and 6, older Fedora's as well as Fedora 17 and Rawhide.

Note 2: I am working with maxamillion on this package.
Comment 1 Troy Dawson 2012-07-30 12:01:33 EDT
*** Bug 842006 has been marked as a duplicate of this bug. ***
Comment 2 Michael Scherer 2012-07-30 14:18:12 EDT
You forgot to post the spec url :)
Comment 4 Michael Scherer 2012-07-30 14:52:26 EDT
The binary rpm generate by mock requires ruby(api) 1.8 and 1.9.1, so that's weird.

There is also a typo on :
Requires:       rubygem{openshift-origin-node)
( the spurious { )

And I think there is no support for /etc/cron.minutely ( that would make sense but that require a patch on cronie I think ). So you should drop a file in /etc/cron.d to do something like /etc/cron.d/0hourly


And the %description is also wrong.
Comment 5 Michael Scherer 2012-07-30 15:29:23 EDT
And the facter plugin require openssh ( for ssh-keygen, and the sshfp fact ).


As a side note, I think the agent name is misleading :
      metadata    :name        => "Libra Management",
                  :description => "Agent to manage Libra services",

so this could be improved too :)
Comment 6 Troy Dawson 2012-07-31 16:22:01 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-msg-node-mcollective.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-msg-node-mcollective-0.1.1-3.fc18.src.rpm

- Fixed ruby(api) problem
- Fixed Requires typo problem
- Fixed description
- Added openssh as a requirement
- Side Note - bugzilla entry in for that
-- https://bugzilla.redhat.com/show_bug.cgi?id=844798
- cron.minutely
-- Good catch.  It turns out that this is run by one of our packages cartridge-cron.
-- We are discussing what the best route for this will be.
Comment 7 Troy Dawson 2012-08-01 15:32:47 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-msg-node-mcollective.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-msg-node-mcollective-0.1.1-3.fc18.src.rpm

- file in cron.minutely has been changed to be a file in cron.d

I think this looks pretty good now.
Comment 8 Michael Scherer 2012-08-01 16:10:37 EDT
Requires:       rubygem(openshift-origin-node)

I cannot find this deps in the review list
Comment 9 Michael Scherer 2012-08-01 16:27:01 EDT
So expect last comment, the package is good. Once openshift-origin-node will be in, this one will be good.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[!]: EXTRA Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines

Installation errors
-------------------
INFO: mock.py version 1.1.23 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.23
INFO: Mock Version: 1.1.23
Start: lock buildroot
INFO: installing package(s): /home/misc/checkout/git/FedoraReview/844439-openshift-origin-msg-node-mcollective/results/openshift-origin-msg-node-mcollective-0.1.1-3.fc17.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', 'install', '/home/misc/checkout/git/FedoraReview/844439-openshift-origin-msg-node-mcollective/results/openshift-origin-msg-node-mcollective-0.1.1-3.fc17.noarch.rpm', '--setopt=tsflags=nocontexts']
Erreur : Paquet : openshift-origin-msg-node-mcollective-0.1.1-3.fc17.noarch (/openshift-origin-msg-node-mcollective-0.1.1-3.fc17.noarch)
             Requiert : rubygem(openshift-origin-node)
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest

Rpmlint
-------
Checking: openshift-origin-msg-node-mcollective-0.1.1-3.fc17.src.rpm
          openshift-origin-msg-node-mcollective-0.1.1-3.fc17.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Diff spec file in url and in SRPM
---------------------------------
--- /home/misc/checkout/git/FedoraReview/844439-openshift-origin-msg-node-mcollective/srpm/openshift-origin-msg-node-mcollective.spec	2012-08-01 22:03:51.519259567 +0200
+++ /home/misc/checkout/git/FedoraReview/844439-openshift-origin-msg-node-mcollective/srpm-unpacked/openshift-origin-msg-node-mcollective.spec	2012-08-01 22:03:52.430265185 +0200
@@ -7,5 +7,5 @@
 Name:           openshift-origin-msg-node-mcollective
 Version:        0.1.1
-Release:        4%{?dist}
+Release:        3%{?dist}
 Group:          Development/Languages
 License:        ASL 2.0
@@ -48,5 +48,5 @@
 rm -rf %{buildroot}
 mkdir -p %{buildroot}%{_libexecdir}/mcollective/mcollective/agent
-mkdir -p %{buildroot}%{_sysconfdir}/cron.d/
+mkdir -p %{buildroot}%{_sysconfdir}/cron.minutely
 
 %if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
@@ -63,17 +63,11 @@
 install -Dp -m0644 src/stickshift.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/
 install -Dp -m0644 src/stickshift.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/
+install -Dp -m0755 facts/stickshift-facts %{buildroot}%{_sysconfdir}/cron.minutely/
 install -Dp -m0755 facts/update_yaml.rb %{buildroot}%{_libexecdir}/mcollective/
 
-cat > %{buildroot}%{_sysconfdir}/cron.d/openshift-origin-facts << EOF
-# This is run to balance openshift apps between nodes
-* * * * * root /usr/libexec/mcollective/update_yaml.rb > /etc/mcollective/facts.yaml
-EOF
-
 %files
 %doc COPYRIGHT LICENSE
 %{_libexecdir}/mcollective/mcollective/agent/stickshift.rb
 %{_libexecdir}/mcollective/mcollective/agent/stickshift.ddl
-%{_libexecdir}/mcollective/update_yaml.rb
-%config(noreplace) %{_sysconfdir}/cron.d/openshift-origin-facts
 
 %if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
@@ -85,9 +79,8 @@
 %endif
 
+%{_libexecdir}/mcollective/update_yaml.rb
+%{_sysconfdir}/cron.minutely/stickshift-facts
 
 %changelog
-* Tue Jul 31 2012 Troy Dawson <tdawson@redhat.com> 0.1.1-4
-- Moved cron job to cron.d
-
 * Tue Jul 31 2012 Troy Dawson <tdawson@redhat.com> 0.1.1-3
 - Fixed various spec file problems
Requires
--------
openshift-origin-msg-node-mcollective-0.1.1-3.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /bin/env  
    facter  
    mcollective  
    openssh  
    ruby(abi) = 1.9.1
    rubygem(json)  
    rubygem(open4)  
    rubygem(openshift-origin-node)  
    rubygems  

Provides
--------
openshift-origin-msg-node-mcollective-0.1.1-3.fc17.noarch.rpm:
    
    openshift-origin-msg-node-mcollective = 0.1.1-3.fc17

MD5-sum check
-------------
http://mirror.openshift.com/pub/openshift-origin/source/openshift-origin-msg-node-mcollective/openshift-origin-msg-node-mcollective-0.1.1.tar.gz :
  MD5SUM this package     : 7f4292a7ac09b957a44499a26ab3df21
  MD5SUM upstream package : 7f4292a7ac09b957a44499a26ab3df21


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 844439
External plugins:
Comment 10 Michael Scherer 2012-08-22 17:56:03 EDT
last deps should be in updates-testing, so that one is approved.
Comment 11 Troy Dawson 2012-08-22 18:09:58 EDT
New Package SCM Request
=======================
Package Name: openshift-origin-msg-node-mcollective
Short Description: M-Collective agent file for openshift-origin
Owners: brenton tdawson maxamillion
Branches: f18 f17
InitialCC:
Comment 12 Jon Ciesla 2012-08-23 07:07:20 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-08-23 09:06:17 EDT
openshift-origin-msg-node-mcollective-0.1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openshift-origin-msg-node-mcollective-0.1.1-3.fc18
Comment 14 Fedora Update System 2012-08-23 11:37:07 EDT
openshift-origin-msg-node-mcollective-0.1.1-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2012-09-17 19:00:46 EDT
openshift-origin-msg-node-mcollective-0.1.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.